Package be.ehealth.technicalconnector.enumeration

# Enum Class Charset

java.lang.Object
java.lang.Enum<Charset>
be.ehealth.technicalconnector.enumeration.Charset

All Implemented Interfaces:
  `Serializable`, `Comparable<Charset>`, `java.lang.constant.Constable`

public enum Charset extends Enum<Charset>
Enumeration for charsets.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCII`
  ASCII.
  `ISO_8859_1`
  ISO-8859-1.
  `UNICODEBIGUNMARKED`
  UnicodeBigUnmarked.
  `UTF_8`
  UTF-8.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  It gets the name of the charset.
  `static Charset`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Charset[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UTF_8

    public static final Charset UTF_8
    UTF-8.

  - ### ASCII

    public static final Charset ASCII
    ASCII.

  - ### ISO_8859_1

    public static final Charset ISO_8859_1
    ISO-8859-1.

  - ### UNICODEBIGUNMARKED

    public static final Charset UNICODEBIGUNMARKED
    UnicodeBigUnmarked.

- ## Method Details

  - ### values

    public static Charset[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Charset valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    It gets the name of the charset.
    Returns:
      the name